> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.callix.dev.br/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.callix.dev.br/_mcp/server.

# Click to call

POST https://sua-conta.callix.com.br/api/v1/click_to_call
Content-Type: application/vnd.api+json

Inicia uma ligação manual via API (click-to-call) para o agente/ramal informado. `type: "click_to_call"`.
Atributos de request (não detalhados em tabela na doc viva; exemplo baseado na coleção): `user_id` (integer) e phone (string).

**Resposta (atributos documentados):** `click_to_call_id` (string) — id gerado para identificar a chamada feita pela API; message (string) — mensagem de sucesso da operação.

Reference: https://docs.callix.dev.br/api-reference/click-to-call-chat-sms/post-click-to-call

## Authentication

- `Authorization` header (bearer token, required) — Token de API da conta do tenant.

## Response

### 200

Chamada iniciada.

- `click_to_call_id` (string, optional) — Identificador gerado para a chamada feita via API.
- `message` (string, optional) — Mensagem de sucesso da operação.

## Examples

**Request**

```json
{
  "data": {
    "attributes": {
      "phone": "5511976543210",
      "user_id": 4821
    },
    "type": "click_to_call"
  }
}
```

**Response**

```json
{
  "click_to_call_id": "9f2c1b7e-3d4a-4e8b-a1c2-7d6e5f4a3b21",
  "message": "Chamada iniciada com sucesso."
}
```

**SDK Code**

```python Click to Call/Chat/SMS_post_click_to_call_example
import requests

url = "https://sua-conta.callix.com.br/api/v1/click_to_call"

payload = "{\n  \"data\": {\n    \"attributes\": {\n      \"phone\": \"5511976543210\",\n      \"user_id\": 4821\n    },\n    \"type\": \"click_to_call\"\n  }\n}"
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/vnd.api+json"
}

response = requests.post(url, data=payload, headers=headers)

print(response.json())
```

```javascript Click to Call/Chat/SMS_post_click_to_call_example
const url = 'https://sua-conta.callix.com.br/api/v1/click_to_call';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
  body: '{\n  "data": {\n    "attributes": {\n      "phone": "5511976543210",\n      "user_id": 4821\n    },\n    "type": "click_to_call"\n  }\n}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Click to Call/Chat/SMS_post_click_to_call_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://sua-conta.callix.com.br/api/v1/click_to_call"

	payload := strings.NewReader("{\n  \"data\": {\n    \"attributes\": {\n      \"phone\": \"5511976543210\",\n      \"user_id\": 4821\n    },\n    \"type\": \"click_to_call\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/vnd.api+json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Click to Call/Chat/SMS_post_click_to_call_example
require 'uri'
require 'net/http'

url = URI("https://sua-conta.callix.com.br/api/v1/click_to_call")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n  \"data\": {\n    \"attributes\": {\n      \"phone\": \"5511976543210\",\n      \"user_id\": 4821\n    },\n    \"type\": \"click_to_call\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Click to Call/Chat/SMS_post_click_to_call_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sua-conta.callix.com.br/api/v1/click_to_call")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/vnd.api+json")
  .body("{\n  \"data\": {\n    \"attributes\": {\n      \"phone\": \"5511976543210\",\n      \"user_id\": 4821\n    },\n    \"type\": \"click_to_call\"\n  }\n}")
  .asString();
```

```php Click to Call/Chat/SMS_post_click_to_call_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sua-conta.callix.com.br/api/v1/click_to_call', [
  'body' => '{
  "data": {
    "attributes": {
      "phone": "5511976543210",
      "user_id": 4821
    },
    "type": "click_to_call"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/vnd.api+json',
  ],
]);

echo $response->getBody();
```

```csharp Click to Call/Chat/SMS_post_click_to_call_example
using RestSharp;

var client = new RestClient("https://sua-conta.callix.com.br/api/v1/click_to_call");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/vnd.api+json");
request.AddParameter("application/vnd.api+json", "{\n  \"data\": {\n    \"attributes\": {\n      \"phone\": \"5511976543210\",\n      \"user_id\": 4821\n    },\n    \"type\": \"click_to_call\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Click to Call/Chat/SMS_post_click_to_call_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/vnd.api+json"
]

let postData = NSData(data: "{
  "data": {
    "attributes": {
      "phone": "5511976543210",
      "user_id": 4821
    },
    "type": "click_to_call"
  }
}".data(using: String.Encoding.utf8)!)

let request = NSMutableURLRequest(url: NSURL(string: "https://sua-conta.callix.com.br/api/v1/click_to_call")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```